package fr.insa.clavardator.db;

import fr.insa.clavardator.chat.Message;
import fr.insa.clavardator.users.User;

import java.util.ArrayList;
import java.util.Date;

public class DatabaseController {
	private final User user;

	public DatabaseController(User user) {
		this.user = user;
	}

	public DatabaseController() {
		user = null;
	}


	/**
	 * Fetches the list of users for which we already have a chat history
	 * @param callback Function called when the request is done
	 */
	public void getAllUsers(UsersCallback callback) {

	}


	/**
	 * Adds a message to the database for this user
	 * @param message The message to add to the database
	 * @param callback  Function called when the request is done
	 */
	public void addMessage(Message message, MessageCallback callback) {

	}


	/**
	 * Get the chat history for a given time frame
	 * @param from the starting date
	 * @param to the ending date
	 * @param callback Function called when the request is done
	 */
	public void getChatHistory(Date from, Date to, HistoryCallback callback) {

	}


	public interface UsersCallback {
		void onUsersFetched(ArrayList<User> users);
	}

	public interface HistoryCallback {
		void onHistoryFetched(ArrayList<Message> history);
	}

	public interface MessageCallback {
		void onMessageSaved(Message history);
	}
}
