package fr.insa.clavardator.ui.chat;

import fr.insa.clavardator.ui.ButtonPressEvent;
import javafx.fxml.Initializable;

import java.net.URL;
import java.util.ArrayList;
import java.util.List;
import java.util.ResourceBundle;

public class ChatHeaderController implements Initializable {

	private List<ButtonPressEvent> editListeners;

	public void addEditListener(ButtonPressEvent listener) {
		editListeners.add(listener);
	}

	public void onEditPress() {
		editListeners.forEach(ButtonPressEvent::onPress);
	}

	public void onAboutPress() {

	}
	@Override
	public void initialize(URL location, ResourceBundle resources) {
		editListeners = new ArrayList<>();
	}
}
