package fr.insa.clavardator.ui.users;

import fr.insa.clavardator.users.ActiveUser;
import fr.insa.clavardator.users.User;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.shape.Circle;

import java.net.URL;
import java.util.ResourceBundle;

public class UserActiveIndicatorController implements Initializable {

	@FXML
	private Circle circle;

	@Override
	public void initialize(URL location, ResourceBundle resources) {

	}

	public void setUser(User user) {
		circle.getStyleClass().clear();
		if (user instanceof ActiveUser) {
			circle.getStyleClass().add("active-user-dot");
		} else {
			circle.getStyleClass().add("inactive-user-dot");
		}
	}

}
