package fr.insa.clavardator.users;

import fr.insa.clavardator.chat.ChatHistory;

public class PeerUser extends User {

	protected transient ChatHistory history;

	public PeerUser(String username) {
		super(username);
		history = new ChatHistory(this);
	}

	/**
	 * Get the value of history
	 *
	 * @return the value of history
	 */
	public ChatHistory getHistory() {
		return history;
	}

}
